Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.gwt.icm.client
Interface ICMServiceAsync

public interface ICMServiceAsync

Author:
  Alexander Yuhimenko

Method Summary
`void` | `clearCardCredential(String userId, String password, String cuid, com.google.gwt.user.client.rpc.AsyncCallback callback)`
`void` | `clearCardHistory(String userId, String password, String cuid, com.google.gwt.user.client.rpc.AsyncCallback callback)`
`void` | `createCategory(Category category, String userIdentifier, String userPassword, com.google.gwt.user.client.rpc.AsyncCallback callback)`
`void` | `createDuplicateCard(String cuid, String cardName, String pinCode, String userIdentifier, String userPassword, com.google.gwt.user.client.rpc.AsyncCallback callback)`
`void` | `createICard(CardTemplate cardTemplate, String userIdentifier, String userPassword, com.google.gwt.user.client.rpc.AsyncCallback callback)`
`void` | `deleteAllCard(String userIdentifier, String userPassword, com.google.gwt.user.client.rpc.AsyncCallback callback)`
`void` | `deleteCategory(Category category, String userIdentifier, String userPassword, com.google.gwt.user.client.rpc.AsyncCallback callback)`
`void` | `deleteICard(String cuid, String userIdentifier, String userPassword, com.google.gwt.user.client.rpc.AsyncCallback callback)`
`void` | `deleteUrlsCardRelation(String userId, String password, String cuid, String[] urls, com.google.gwt.user.client.rpc.AsyncCallback callback)`
`void` | `editPinCode(String userId, String password, String cuid, String oldPinCode, String newPinCode, com.google.gwt.user.client.rpc.AsyncCallback callback)`
`void` | `exportICards(String userId, String password, String formatID, String[] cards, CardCredential credential, com.google.gwt.user.client.rpc.AsyncCallback callback)`
`void` | `getCardByCredential(Card card, String userIdentifier, String userPassword, com.google.gwt.user.client.rpc.AsyncCallback callback)`
`void` | `getCardById(String cuid, String userIdentifier, String userPassword, com.google.gwt.user.client.rpc.AsyncCallback callback)`
`void` | `getCardHistory(String userId, String password, String cuid, int startFrom, int capacity, String orderBy, String orderDirection, com.google.gwt.user.client.rpc.AsyncCallback callback)`
`void` | `getCardInformation(String cuid, String userIdentifier, String userPassword, int size, com.google.gwt.user.client.rpc.AsyncCallback callback)`
`void` | `getCurrentState(String userId, String userPassword, com.google.gwt.user.client.rpc.AsyncCallback callback)`
`void` | `getDefaultPCard(String userId, String userPassword, com.google.gwt.user.client.rpc.AsyncCallback callback)`
`void` | `getICardsByFormat(String userId, String password, String formatID, com.google.gwt.user.client.rpc.AsyncCallback callback)`
`void` | `getImportedCard(com.google.gwt.user.client.rpc.AsyncCallback callback)`
`void` | `getMRU(String userId, String password, com.google.gwt.user.client.rpc.AsyncCallback callback)`
`void` | `getOutputFormats(String userId, String password, com.google.gwt.user.client.rpc.AsyncCallback callback)`
`void` | `getPCardTemplate(String userIdentifier, String userPassword, com.google.gwt.user.client.rpc.AsyncCallback callback)`
`void` | `getRestoreData(com.google.gwt.user.client.rpc.AsyncCallback callback)`
`void` | `getUserProfile(com.google.gwt.user.client.rpc.AsyncCallback callback)`
`void` | `modifyCard(Card card, String userIdentifier, String userPassword, com.google.gwt.user.client.rpc.AsyncCallback callback)`
`void` | `modifyCategories(String userId, String password, Category[] categories, com.google.gwt.user.client.rpc.AsyncCallback callback)`
`void` | `modifyCategory(Category category, String userIdentifier, String userPassword, com.google.gwt.user.client.rpc.AsyncCallback callback)`
`void` | `modifyUserProfile(UserProfile userProfile, com.google.gwt.user.client.rpc.AsyncCallback callback)`
`void` | `putCredentialForRestore(FormatDescriptor descriptor, String userIdentifier, String userPassword, com.google.gwt.user.client.rpc.AsyncCallback callback)`
`void` | `putImageForIE(String image, com.google.gwt.user.client.rpc.AsyncCallback callback)`
`void` | `resetPinCode(Card card, String userIdentifier, String userPassword, com.google.gwt.user.client.rpc.AsyncCallback callback)`
`void` | `setCardCredential(String userId, String password, String cuid, CardCredential tokenCredential, com.google.gwt.user.client.rpc.AsyncCallback callback)`
`void` | `setDefaultPCard(String userId, String userPassword, String cardUid, com.google.gwt.user.client.rpc.AsyncCallback callback)`
`void` | `setPinCode(Card card, String pinCode, String userIdentifier, String userPassword, com.google.gwt.user.client.rpc.AsyncCallback callback)`
`void` | `setUrlsCardRelation(String userId, String password, String cuid, String[] urls, com.google.gwt.user.client.rpc.AsyncCallback callback)`
`void` | `updateClaimAcrossCards(String userId, String password, String[] claimType, String[] claimValue, CardUpdate[] cardUpdate, com.google.gwt.user.client.rpc.AsyncCallback callback)`
`void` | `updateICards(String userId, String password, Card[] cards, com.google.gwt.user.client.rpc.AsyncCallback callback)`

Method Detail

### getCurrentState

    public void getCurrentState(String userId,
                                String userPassword,
                                com.google.gwt.user.client.rpc.AsyncCallback callback)

  Parameters:
    `userId` -
    `userPassword` -
    `callback` -

### getUserProfile

    public void getUserProfile(com.google.gwt.user.client.rpc.AsyncCallback callback)

  Parameters:
    `callback` -

### modifyCard

    public void modifyCard(Card card,
                           String userIdentifier,
                           String userPassword,
                           com.google.gwt.user.client.rpc.AsyncCallback callback)

  Parameters:
    `card` -
    `userIdentifier` -
    `userPassword` -
    `callback` -

### modifyUserProfile

    public void modifyUserProfile(UserProfile userProfile,
                                  com.google.gwt.user.client.rpc.AsyncCallback callback)

  Parameters:
    `userProfile` -
    `callback` -

### getPCardTemplate

    public void getPCardTemplate(String userIdentifier,
                                 String userPassword,
                                 com.google.gwt.user.client.rpc.AsyncCallback callback)

  Parameters:
    `userIdentifier` -
    `userPassword` -
    `callback` -

### createICard

    public void createICard(CardTemplate cardTemplate,
                            String userIdentifier,
                            String userPassword,
                            com.google.gwt.user.client.rpc.AsyncCallback callback)

  Parameters:
    `cardTemplate` -
    `userIdentifier` -
    `userPassword` -
    `callback` -

### deleteICard

    public void deleteICard(String cuid,
                            String userIdentifier,
                            String userPassword,
                            com.google.gwt.user.client.rpc.AsyncCallback callback)

  Parameters:
    `cuid` -
    `userIdentifier` -
    `userPassword` -
    `callback` -

### getCardByCredential

    public void getCardByCredential(Card card,
                                    String userIdentifier,
                                    String userPassword,
                                    com.google.gwt.user.client.rpc.AsyncCallback callback)

  Parameters:
    `card` -
    `userIdentifier` -
    `userPassword` -
    `callback` -

### setPinCode

    public void setPinCode(Card card,
                           String pinCode,
                           String userIdentifier,
                           String userPassword,
                           com.google.gwt.user.client.rpc.AsyncCallback callback)

  Parameters:
    `userIdentifier` -
    `userPassword` -
    `callback` -

### resetPinCode

    public void resetPinCode(Card card,
                             String userIdentifier,
                             String userPassword,
                             com.google.gwt.user.client.rpc.AsyncCallback callback)

  Parameters:
    `userIdentifier` -
    `userPassword` -
    `callback` -

### editPinCode

    public void editPinCode(String userId,
                            String password,
                            String cuid,
                            String oldPinCode,
                            String newPinCode,
                            com.google.gwt.user.client.rpc.AsyncCallback callback)

### createDuplicateCard

    public void createDuplicateCard(String cuid,
                                    String cardName,
                                    String pinCode,
                                    String userIdentifier,
                                    String userPassword,
                                    com.google.gwt.user.client.rpc.AsyncCallback callback)

  Parameters:
    `cuid` -
    `cardName` -
    `userIdentifier` -
    `userPassword` -
    `callback` -

### deleteAllCard

    public void deleteAllCard(String userIdentifier,
                              String userPassword,
                              com.google.gwt.user.client.rpc.AsyncCallback callback)

  Parameters:
    `userIdentifier` -
    `userPassword` -
    `callback` -

### createCategory

    public void createCategory(Category category,
                               String userIdentifier,
                               String userPassword,
                               com.google.gwt.user.client.rpc.AsyncCallback callback)

  Parameters:
    `category` -
    `userIdentifier` -
    `userPassword` -
    `callback` -

### modifyCategory

    public void modifyCategory(Category category,
                               String userIdentifier,
                               String userPassword,
                               com.google.gwt.user.client.rpc.AsyncCallback callback)

  Parameters:
    `category` -
    `userIdentifier` -
    `userPassword` -
    `callback` -

### deleteCategory

    public void deleteCategory(Category category,
                               String userIdentifier,
                               String userPassword,
                               com.google.gwt.user.client.rpc.AsyncCallback callback)

  Parameters:
    `category` -
    `userIdentifier` -
    `userPassword` -
    `callback` -

### getImportedCard

    public void getImportedCard(com.google.gwt.user.client.rpc.AsyncCallback callback)

### getRestoreData

    public void getRestoreData(com.google.gwt.user.client.rpc.AsyncCallback callback)

### putCredentialForRestore

    public void putCredentialForRestore(FormatDescriptor descriptor,
                                        String userIdentifier,
                                        String userPassword,
                                        com.google.gwt.user.client.rpc.AsyncCallback callback)

### putImageForIE

    public void putImageForIE(String image,
                              com.google.gwt.user.client.rpc.AsyncCallback callback)

### getCardInformation

    public void getCardInformation(String cuid,
                                   String userIdentifier,
                                   String userPassword,
                                   int size,
                                   com.google.gwt.user.client.rpc.AsyncCallback callback)

### setUrlsCardRelation

    public void setUrlsCardRelation(String userId,
                                    String password,
                                    String cuid,
                                    String[] urls,
                                    com.google.gwt.user.client.rpc.AsyncCallback callback)

### deleteUrlsCardRelation

    public void deleteUrlsCardRelation(String userId,
                                       String password,
                                       String cuid,
                                       String[] urls,
                                       com.google.gwt.user.client.rpc.AsyncCallback callback)

### clearCardHistory

    public void clearCardHistory(String userId,
                                 String password,
                                 String cuid,
                                 com.google.gwt.user.client.rpc.AsyncCallback callback)

### clearCardCredential

    public void clearCardCredential(String userId,
                                    String password,
                                    String cuid,
                                    com.google.gwt.user.client.rpc.AsyncCallback callback)

### modifyCategories

    public void modifyCategories(String userId,
                                 String password,
                                 Category[] categories,
                                 com.google.gwt.user.client.rpc.AsyncCallback callback)

### getCardById

    public void getCardById(String cuid,
                            String userIdentifier,
                            String userPassword,
                            com.google.gwt.user.client.rpc.AsyncCallback callback)

### setCardCredential

    public void setCardCredential(String userId,
                                  String password,
                                  String cuid,
                                  CardCredential tokenCredential,
                                  com.google.gwt.user.client.rpc.AsyncCallback callback)

### getCardHistory

    public void getCardHistory(String userId,
                               String password,
                               String cuid,
                               int startFrom,
                               int capacity,
                               String orderBy,
                               String orderDirection,
                               com.google.gwt.user.client.rpc.AsyncCallback callback)

### exportICards

    public void exportICards(String userId,
                             String password,
                             String formatID,
                             String[] cards,
                             CardCredential credential,
                             com.google.gwt.user.client.rpc.AsyncCallback callback)

### getICardsByFormat

    public void getICardsByFormat(String userId,
                                  String password,
                                  String formatID,
                                  com.google.gwt.user.client.rpc.AsyncCallback callback)

### getOutputFormats

    public void getOutputFormats(String userId,
                                 String password,
                                 com.google.gwt.user.client.rpc.AsyncCallback callback)

### getMRU

    public void getMRU(String userId,
                       String password,
                       com.google.gwt.user.client.rpc.AsyncCallback callback)

### updateClaimAcrossCards

    public void updateClaimAcrossCards(String userId,
                                       String password,
                                       String[] claimType,
                                       String[] claimValue,
                                       CardUpdate[] cardUpdate,
                                       com.google.gwt.user.client.rpc.AsyncCallback callback)

### updateICards

    public void updateICards(String userId,
                             String password,
                             Card[] cards,
                             com.google.gwt.user.client.rpc.AsyncCallback callback)

### getDefaultPCard

    public void getDefaultPCard(String userId,
                                String userPassword,
                                com.google.gwt.user.client.rpc.AsyncCallback callback)

### setDefaultPCard

    public void setDefaultPCard(String userId,
                                String userPassword,
                                String cardUid,
                                com.google.gwt.user.client.rpc.AsyncCallback callback)

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD